
			const chartDiv = document.getElementById("chart");
      const svg = d3.select(chartDiv).append("svg");

      function redraw(){

        // Extract the width and height that was computed by CSS.
        const width = chartDiv.clientWidth;
        const height = chartDiv.clientHeight;

        // Use the extracted size to set the size of an SVG element.
        svg
          .attr("width", width)
          .attr("height", height);

        // Draw an X to show that the size is correct.
        var lines = svg.selectAll("line").data([
          {x1: 0, y1: 0, x2: width, y2: height},
          {x1: 0, y1: height, x2: width, y2: 0}
        ]);
        lines
          .enter().append("line")
          .merge(lines)
          .attr("x1", d => d.x1)
          .attr("y1", d => d.y1)
          .attr("x2", d => d.x2)
          .attr("y2", d => d.y2)
          .style("stroke-width", 100)
          .style("stroke-opacity", 0.5)
          .style("stroke", "green");
      }

      // Draw for the first time to initialize.
      redraw();

      // Redraw based on the new size whenever the browser window is resized.
      window.addEventListener("resize", redraw);

var setsvgsize = function() {
  const width = window.innerWidth - 25;
  const height = window.innerHeight - 20 - document.querySelector("div").offsetHeight;
  const margin = 50;
  const svgwidth = width + margin + margin;
  const svgheight = height + margin + margin;

  d3
    .select("svg")
    .attr("width", svgwidth)
    .attr("height", svgheight)
    .append("g")
    .attr("transform", `translate(${margin}, ${margin})`);

  const border = [
    [margin, margin],
    [margin, height - margin],
    [width - margin, height - margin],
    [width - margin, margin],
    [margin, margin]
  ];
  
  var lineGenerator = d3.line();
  var pathData = lineGenerator(border);
  d3.select("path").attr("d", pathData);
  
};

window.addEventListener("resize", setsvgsize);
